#pragma once
#include <windows.h>
#include <dsound.h>
#include <mof/tstring.hpp>

namespace mof{
	class SoundFile
	{
	public:
		SoundFile(void);
		virtual ~SoundFile(void) = 0;

		virtual bool open(const mof::tstring& filename) = 0;
		virtual bool close() = 0;
		virtual long read( BYTE* pBuffer1, long bufferSize1 , BYTE* pBuffer2 , long bufferSize2 )  = 0;
		virtual long getSize() = 0;
		virtual bool resetFile() = 0;
		virtual WAVEFORMATEX* getFormat() = 0;
	};

};
